# -*- mode: rpm-spec; coding: koi8-u -*-

Name: apanel
Version: 1.3
Release: alt5

Summary: Fujitsu Lifebook application panel support
License: GPL
Group: System/Kernel and hardware

Url: http://apanel.sourceforge.net
Source0: http://unc.dl.sourceforge.net/sourceforge/apanel/%name-linux-%version.tar.gz
Source1: fjkeyd.init
Source2: fjkeyd.sysconfig
Patch1: apanel-linux-1.3-alt-id.patch
Patch2: apanel-linux-1.3-alt-makefile.patch
Patch3: apanel-linux-1.3-cvs-linux26-i2c.patch
Packager: Michael Shigorin <mike@altlinux.org>

BuildRequires: kernel-build-tools >= 0.6

%define ksourcename kernel-source-%name-%version

Summary(ru_RU.KOI8-R):    Fujitsu Lifebook
Summary(uk_UA.KOI8-U):    Fujitsu Lifebook

%description
Fujitsu Lifebook application panel support;
needs appropriate kernel-modules-apanel package installed

%description -l ru_RU.KOI8-R
   ( ) Fujitsu Lifebook;
    kernel-modules-apanel

%description -l uk_UA.KOI8-U
 ̦ ˦ ( ) Fujitsu Lifebook;
դ Ԧ צצ  kernel-modules-apanel

%package -n kernel-source-apanel
Summary: kernel patch for Fujitsu Lifebook application panel support
Group: Development/Other

%description -n kernel-source-apanel
Fujitsu Lifebook application panel support

This package includes kernel patches needed for apanel support in
ALT Linux kernel (builds as kernel-modules-apanel)

%prep
%setup -q -n %name-linux-%version
#patch1 -p1
#patch2 -p1
%patch3 -p1

mv linux %ksourcename
mv utils/fjkeydscripts scripts

%build
pushd utils
%make
popd

%install
install -pD -m755 utils/fjkeyd %buildroot%_sbindir/fjkeyd
install -pD -m755 utils/apanelc %buildroot%_bindir/apanelc
install -pD -m755 %SOURCE1 %buildroot%_initdir/fjkeyd
install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/fjkeyd

mv %ksourcename/Makefile %ksourcename/Makefile.orig
cat > %ksourcename/Makefile << __EOF__
obj-m   := apanel.o
-include \$(TOPDIR)/Rules.make
__EOF__

mkdir -p %buildroot%_sysconfdir/%name

mkdir -p %kernel_srcdir
tar -cjf %kernel_srcdir/%ksourcename.tar.bz2 %ksourcename

%files
%doc COPY* CREDITS README*
%doc scripts/
%dir %_sysconfdir/%name/
%config(noreplace) %_sysconfdir/sysconfig/fjkeyd
%_initdir/fjkeyd
%_sbindir/fjkeyd
%_bindir/apanelc

%files -n kernel-source-apanel
%kernel_src/%ksourcename.tar.bz2

%changelog
* Mon Jun 25 2007 Michael Shigorin <mike@altlinux.org> 1.3-alt5
- fixed silly leftover in initscript (#10925)
- thanks mithraen@ a lot for friendly help
- spec macro abuse cleanup

* Sat Mar 25 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt4
- packed for Sisyphus

* Tue Dec 13 2005 Michael Shigorin <mike@altlinux.org> 1.3-alt3
- added cvs patches (1.10 to 1.12 changes) for apanel.c
  due to linux-2.6 changes; supersedes patch1
- added patches to fix build with recent 2.6 kernels;
  thanks Sergey Vlasov (vsu@) for hints/reminders

* Tue May 17 2005 Michael Shigorin <mike@altlinux.ru> 1.3-alt2
- rebuilt for Sisyphus (thanks mithraen@ for help with kernel CVS)
- added spec translations just for a case ;-)

* Wed Oct 20 2004 Michael Shigorin <mike@altlinux.ru> 1.3-alt1
- 1.3

* Mon Jul 12 2004 Michael Shigorin <mike@altlinux.ru> 1.2-alt1
- built for ALT Linux
- original Makefile replaced with more robust one;
  thanks Sergey Vlasov (vsu@) for advice
